#
create_clock -name CLK25MIN -period 40 [get_ports CLK1]

create_generated_clock -name CLK100M -source [get_ports CLK1] \
  -divide_by 1 -multiply_by  4 "U_CLKGEN|U_PLL100M|altpll_component|pll|clk[0]"

create_generated_clock -name CLK25M -source [get_ports CLK1] \
  -divide_by 1 -multiply_by  1 "U_CLKGEN|U_PLL100M|altpll_component|pll|clk[1]"


set_clock_uncertainty -from CLK100M -to CLK100M 0.2
set_clock_uncertainty -from CLK25M  -to CLK25M  0.2

#
set_false_path -from [get_clocks CLK100M] -to [get_clocks CLK25M]
set_false_path -from [get_clocks CLK25M]  -to [get_clocks CLK100M]

#
set_output_delay -clock CLK25M -max 5 [get_ports GPIO_D*]
set_output_delay -clock CLK25M -min 0 [get_ports GPIO_D*]


